package com.dooapp.gaedo.test.beans;

import java.io.Serializable;
import java.util.Date;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;
import java.util.logging.Logger;
import com.dooapp.gaedo.extensions.hierarchy.Parent;
import com.dooapp.gaedo.finders.Informer;
import com.dooapp.gaedo.finders.informers.*;

/**
Informer for {@link Post}
@author InformerMojos
*/
public interface PostInformer extends Informer<Post> {

    /**
	informer for property {@link Post#annotations}.
	@return an instance of {@link MapFieldInformer<String, String>} configured for manipulation of {@link Post#annotations}
	*/
    public MapFieldInformer<String, String> getAnnotations();

    /**
	informer for property {@link Post#author}.
	@return an instance of {@link UserInformer} configured for manipulation of {@link Post#author}
	*/
    public UserInformer getAuthor();

    /**
	informer for property {@link Post#note}.
	@return an instance of {@link DoubleFieldInformer} configured for manipulation of {@link Post#note}
	*/
    public DoubleFieldInformer getNote();

    /**
	informer for property {@link Post#publicationDate}.
	@return an instance of {@link DateFieldInformer} configured for manipulation of {@link Post#publicationDate}
	*/
    public DateFieldInformer getPublicationDate();

    /**
	informer for property {@link Post#state}.
	@return an instance of {@link EnumFieldInformer} configured for manipulation of {@link Post#state}
	*/
    public EnumFieldInformer getState();

    /**
	informer for property {@link Post#tags}.
	@return an instance of {@link CollectionFieldInformer<Tag>} configured for manipulation of {@link Post#tags}
	*/
    public CollectionFieldInformer<Tag> getTags();

    /**
	informer for property {@link Post#test}.
	@return an instance of {@link BooleanFieldInformer} configured for manipulation of {@link Post#test}
	*/
    public BooleanFieldInformer getTest();

    /**
	informer for property {@link Post#text}.
	@return an instance of {@link StringFieldInformer} configured for manipulation of {@link Post#text}
	*/
    public StringFieldInformer getText();
}
