package com.dooapp.gaedo.test.beans;

import java.io.Serializable;
import java.util.logging.Logger;
import com.dooapp.gaedo.finders.Informer;
import com.dooapp.gaedo.finders.informers.*;

/**
Informer for {@link Tag}
@author InformerMojos
*/
public interface TagInformer extends Informer<Tag> {

    /**
	informer for property {@link Tag#id}.
	@return an instance of {@link DoubleFieldInformer} configured for manipulation of {@link Tag#id}
	*/
    public DoubleFieldInformer getId();

    /**
	informer for property {@link Tag#parent}.
	@return an instance of {@link TagInformer} configured for manipulation of {@link Tag#parent}
	*/
    public TagInformer getParent();

    /**
	informer for property {@link Tag#text}.
	@return an instance of {@link StringFieldInformer} configured for manipulation of {@link Tag#text}
	*/
    public StringFieldInformer getText();
}
